# DMMGSetInitialGuessLocal

sets code to compute the initial guess for each level

### Synopsis

    #include "petscda.h"
    #include "petscmg.h"
    #include "petscdmmg.h"
    #include "petscmat.h"
    PetscErrorCode DMMGSetInitialGuessLocal(DMMG *dmmg,PetscErrorCode (*localguess)(void))

Collective on DMMG

### Input Parameter

| dmmg | - the context
| localguess | - the function that computes the initial guess

### See Also

DMMGCreate(), DMMGDestroy, DMMGSetKSP(), DMMGSetSNES(), DMMGSetInitialGuess(), DMMGSetSNESLocal()

Level:intermediate
Location: src/snes/utils/damgsnes.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages